## scikit-fmm 2024.09.16

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER	      =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4	= -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS	= -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) doc

# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS	= $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) doc

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "	 html	    to make standalone HTML files"
	@echo "	 dirhtml    to make HTML files named index.html in directories"
	@echo "	 singlehtml to make a single large HTML file"
	@echo "	 pickle	    to make pickle files"
	@echo "	 json	    to make JSON files"
	@echo "	 htmlhelp   to make HTML files and a HTML help project"
	@echo "	 qthelp	    to make HTML files and a qthelp project"
	@echo "	 devhelp    to make HTML files and a Devhelp project"
	@echo "	 epub	    to make an epub"
	@echo "	 latex	    to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "	 latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "	 text	    to make text files"
	@echo "	 man	    to make manual pages"
	@echo "	 texinfo    to make Texinfo files"
	@echo "	 info	    to make Texinfo files and run them through makeinfo"
	@echo "	 gettext    to make PO message catalogs"
	@echo "	 changes    to make an overview of all changed/added/deprecated items"
	@echo "	 linkcheck  to check all external links for integrity"
	@echo "	 doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/scikit-fmm.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/scikit-fmm.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikit-fmm"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/scikit-fmm"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
numpy
numpydoc

## scikit-fmm 2019.1.30

=== debian/changelog ===
scikit-fmm (2019.1.30-1ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:22:07 +0000

scikit-fmm (2019.1.30-1ubuntu1) jammy; urgency=medium

  * Cythonize at build time to fix FTBFS with Python 3.10
  * Call dh --with numpy3 to pick up dependency on numpy-abi

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 31 Jan 2022 13:30:41 +0000

scikit-fmm (2019.1.30-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:30:13 +0000

scikit-fmm (2019.1.30-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:25:16 +0100

scikit-fmm (2019.1.30-1) unstable; urgency=medium

  * Initial release (Closes: #974160)

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Nov 2020 09:13:33 -0700

=== debian/control ===
Source: scikit-fmm
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 13), dh-python, python3-all, python3-setuptools,
 python3-numpy, python3-dev, cython3
Standards-Version: 4.5.0
Homepage: https://github.com/scikit-fmm/scikit-fmm/
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/debian/scikit-fmm
Vcs-Git: https://salsa.debian.org/debian/scikit-fmm.git
Rules-Requires-Root: no
#Testsuite: autopkgtest-pkg-python

Package: python3-scikit-fmm
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python-scikit-fmm-doc
Description: fast marching method extension (Python 3)
 This module implements the fast marching method, used to model the 
 evolution of boundaries and interfaces in a variety of application areas. 
 More specifically, the fast marching method is a numerical technique for 
 finding approximate solutions to boundary value problems of the Eikonal
 equation:
 .
 F(x) | grad T(x) | = 1
 .
 Typically, such a problem describes the evolution of a closed curve as
 a function of time T with speed F(x)>0 in the normal direction at a
 point x on the curve. The speed function is specified, and the time at
 which the contour crosses a point x is obtained by solving the
 equation.
 .
 scikit-fmm provides functions to calculate the signed distance and travel 
 time to an interface described by the zero contour of the input array phi.

=== debian/watch ===
version=3
https://github.com/scikit-fmm/scikit-fmm/tags \
.*/archive/v?(\d\S*)\.tar\.gz

## scikit-fmm 2022.08.15

=== debian/changelog ===
scikit-fmm (2022.08.15-4) unstable; urgency=medium

  [Nilesh Patra]
  * Add autopkgtests (Closes: #1035239)

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 May 2023 09:08:40 -0600

scikit-fmm (2022.08.15-3) unstable; urgency=medium

  [Debian Janitor]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 15:30:03 -0700

scikit-fmm (2022.08.15-2) unstable; urgency=medium

  * eliminate dangling suggests on non-existent doc package

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 15:24:01 -0700

scikit-fmm (2022.08.15-1) unstable; urgency=medium

  * new upstream version, closes: #1020141
  * renamed 'master' branch to 'debian' to allow tracking github/master easily

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2022 18:47:05 -0600

scikit-fmm (2019.1.30-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Build-Depend on python3-all-dev instead of python3-all and
    python3-dev so that scikit-fmm appears on the correct
    transition tracker
  * Update debian/watch
  * Build-Depend on debhelper-compat and drop debian/compat

 -- Graham Inggs <ginggs@debian.org>  Thu, 14 Apr 2022 20:33:41 +0000

scikit-fmm (2019.1.30-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Graham Inggs ]
  * Cythonize at build time to fix FTBFS with Python 3.10 (Closes: #1008640)
  * Call dh --with numpy3 to pick up dependency on numpy-abi

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Apr 2022 00:36:51 +0200

=== debian/control ===
Source: scikit-fmm
Section: python
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev, python3-setuptools,
 python3-numpy, cython3
Standards-Version: 4.6.1
Homepage: https://github.com/scikit-fmm/scikit-fmm/
Vcs-Browser: https://salsa.debian.org/debian/scikit-fmm
Vcs-Git: https://salsa.debian.org/debian/scikit-fmm.git
Rules-Requires-Root: no
#Testsuite: autopkgtest-pkg-python

Package: python3-scikit-fmm
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: fast marching method extension (Python 3)
 This module implements the fast marching method, used to model the
 evolution of boundaries and interfaces in a variety of application areas.
 More specifically, the fast marching method is a numerical technique for
 finding approximate solutions to boundary value problems of the Eikonal
 equation:
 .
 F(x) | grad T(x) | = 1
 .
 Typically, such a problem describes the evolution of a closed curve as
 a function of time T with speed F(x)>0 in the normal direction at a
 point x on the curve. The speed function is specified, and the time at
 which the contour crosses a point x is obtained by solving the
 equation.
 .
 scikit-fmm provides functions to calculate the signed distance and travel
 time to an interface described by the zero contour of the input array phi.

## scikit-fmm 2024.05.29

=== debian/changelog ===
scikit-fmm (2024.05.29-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:35:04 +0100

scikit-fmm (2024.05.29-1) unstable; urgency=medium

  * new upstream version, closes: #1059647, #1061001

 -- Bdale Garbee <bdale@gag.com>  Fri, 05 Jul 2024 22:55:57 -0600

## scikit-fmm 2024.09.16

=== debian/changelog ===
scikit-fmm (2024.09.16-1) unstable; urgency=medium

  * new upstream version, numpy 2.0 compatibility, closes: #1094375

 -- Bdale Garbee <bdale@gag.com>  Mon, 27 Jan 2025 10:43:31 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev, python3-setuptools,
- python3-numpy, cython3
+Build-Depends: debhelper-compat (= 13), 
+	dh-python, 
+	pybuild-plugin-pyproject,
+	python3-all-dev, 
+	python3-setuptools, 
+	python3-mesonpy,
+	python3-numpy, 
+	cython3
 Standards-Version: 4.6.1
 Homepage: https://github.com/scikit-fmm/scikit-fmm/
 Vcs-Browser: https://salsa.debian.org/debian/scikit-fmm

## scikit-fmm 2025.06.23

=== debian/changelog ===
scikit-fmm (2025.06.23-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:03:29 +0000

scikit-fmm (2025.06.23-1) unstable; urgency=medium

  * new upstream version, fix for deprecated NumPy API and Python 3.11, 
    closes: #1114720

 -- Bdale Garbee <bdale@gag.com>  Sat, 11 Oct 2025 06:52:11 -0600

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	python3-setuptools, 
 	python3-mesonpy,
 	python3-numpy, 
+	python3-numpy-dev, 
 	cython3
 Standards-Version: 4.6.1
 Homepage: https://github.com/scikit-fmm/scikit-fmm/

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

export PYBUILD_NAME=scikit-fmm

export CFLAGS+=$(shell python3-config --cflags)
export LDFLAGS+=$(shell python3-config --ldflags)

%:
	dh $@ --with python3 --with numpy3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f $(CURDIR)/skfmm/pheap.cpp
	dh_auto_clean

override_dh_auto_configure:
	cython3 --cplus -3 $(CURDIR)/skfmm/pheap.pyx
	dh_auto_configure


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -s 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import skfmm, sys; sys.exit(skfmm.test())"
 ; done
Depends: @, python3-all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/scikit-fmm-$1\.tar\.gz/ \
  https://github.com/scikit-fmm/scikit-fmm/tags .*/v?(\d\S+)\.tar\.gz
